import serial #import Serial Library
import numpy #Import numpy
import matplotlib.pyplot as plt #import matplotlib library
from drawnow import *

pHF= []
ORPF= []
arduinoData = serial.Serial('com4', 9600)
plt.ion()
cnt=0

def makefig():
    plt.ylim(0,14)
    plt.title('Live Sensor Data')
    plt.grid(True)
    plt.ylabel('pH 0-14')
    plt.plot(pHF, 'ro-',  label='pH')
    plt.legend(loc='upper left')
    plt2=plt.twinx()
    plt.ylim(300,1000)
    plt2.plot(ORPF, 'b^-', label='ORP')
    plt2.set_ylabel('Oxygen Reduction Potential')
    #plt2.ticklabel_format(useoffset=False)
    plt2.legend(loc='upper right')


while True: #while loop that loops forever
    while (arduinoData.inWaiting() ==0): #wait here until there is data
        pass #do nothing
    arduinoString = arduinoData.readline() #read the line of text from serial port
    dataArray = arduinoString.splitlines() #split the data from data array
    pH = dataArray[0]
    ORP = dataArray[1]   
    pHF.append(pH)
    ORPF.append(ORP)
    drawnow(makefig)
    plt.pause(.000001)
    cnt=cnt+1
    if(cnt>50):
        pHF.pop(0)
        ORPF.pop(0)
    print pH
    print ORP                    
                         
    


    
